Subject: bug#12791: 24.2; An option to load user init file with -batch

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 05:49:50 +0100

Leo <[email-masked]> writes:

> On 2012-11-03 18:02 +0800, Eli Zaretskii wrote:
>> What's wrong with "-l ~/.emacs"?  The difference in the loading order
>> is a non-issue in batch mode anyway.
>
> not portable.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think people know where their ~/.emacs files are, so "-Q -l ~/.emacs"
covers virtually all use cases.  I don't think adding a --load-init-file
option would be sufficiently useful as a feature (and it's ambiguous
what init file we're referring to), so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no